# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _with_gcj_support 1
%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define name17 ant17
%define name16 ant
%define name_legacy ant

%define ant_home %{_datadir}/%{name16}
%define section  free

%define major_version 1.7
%define cvs_version 1.7.1
%define jpprelease 1jpp
%define built_legacy_mfonly 0

Name:           %{name17}
Version:        1.7.1
Release:        %{jpprelease}.0
Epoch:          0
Summary:        Build tool for Java supporting version 1.7
License:        Apache Software License
URL:            http://%{name16}.apache.org/
Group:          Development/Build Tools
Source0:        apache-%{name16}-%{version}-src.tar.bz2
Source2:        apache-%{name16}-1.7.1.ant.conf
# javah: BZ 157750
# https://www.zarb.org/pipermail/jpackage-discuss/2005-September/008781.html
# https://www.zarb.org/pipermail/jpackage-discuss/2005-September/008785.html
# Message-ID: <432A8E37.8050101@zarb.org>
Patch2:         apache-%{name17}-1.7.1-javah.patch
# Fix some places where copies of classes are included in the wrong jarfiles
Patch4:         apache-%{name17}-jars.patch
%if %{built_legacy_mfonly}
Patch7:         apache-%{name17}-1.7.1-create-manifest-only.patch
%endif
Requires:       jaxp_parser_impl
Requires:       jpackage-utils >= 0:1.5
Requires:       java-devel
Requires:       xml-commons-apis
BuildRequires:  jaxp_parser_impl
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  java-devel
BuildRequires:	coreutils
BuildRequires:	xml-commons-apis
Conflicts:	%{name16} < 0:1.7.0
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name17}-%{version}-%{release}-buildroot
Obsoletes:	%{name_legacy}-optional-clean, %{name_legacy}-optional-full
# Allow subpackages not in Fedora to be installed from JPackage
Provides:	%{name16} = %{epoch}:%{version}-%{jpprelease}
Provides:	%{name17} = %{epoch}:%{version}-%{jpprelease}
# RHEL3 and FC2
Obsoletes:	%{name16}-libs <= 0:1.5.2, %{name16}-core <= 0:1.5.2
# FC4
Obsoletes:	%{name16}-jmf <= 1.6.2-3jpp_12fc

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%description -l fr
Ant est un outil de compilation multi-plateformes pour java. Il est
utilisé par les projets apache-jakarta et apache-xml.

%description -l it
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java.
Allo stato attuale viene utilizzato dai progetti apache jakarta ed
apache xml.

%package manifest-only
Summary:        Manifest-only jars for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
%if %{built_legacy_mfonly}
Provides:       %{name17}-starteam = %{epoch}:%{version}-%{release}
Provides:       %{name17}-stylebook = %{epoch}:%{version}-%{release}
Provides:       %{name17}-weblogic = %{epoch}:%{version}-%{release}
Provides:       %{name17}-netrexx = %{epoch}:%{version}-%{release}
Provides:       %{name17}-icontract = %{epoch}:%{version}-%{release}
Provides:       %{name17}-vaj = %{epoch}:%{version}-%{release}
Provides:       %{name17}-xalan1 = %{epoch}:%{version}-%{release}
Provides:       %{name17}-xslp = %{epoch}:%{version}-%{release}

Provides:       %{name16}-starteam = %{epoch}:%{version}-%{release}
Provides:       %{name16}-stylebook = %{epoch}:%{version}-%{release}
Provides:       %{name16}-weblogic = %{epoch}:%{version}-%{release}
Provides:       %{name16}-netrexx = %{epoch}:%{version}-%{release}
Provides:       %{name16}-icontract = %{epoch}:%{version}-%{release}
Provides:       %{name16}-vaj = %{epoch}:%{version}-%{release}
Provides:       %{name16}-xalan1 = %{epoch}:%{version}-%{release}
Provides:       %{name16}-xslp = %{epoch}:%{version}-%{release}
%endif

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description  manifest-only
Manifest-only jars for %{name17}.

%package antlr
Summary:        Optional antlr tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       antlr
BuildRequires:  antlr
Provides:       %{name17}-antlr = %{epoch}:%{version}-%{release}
Provides:       %{name16}-antlr = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description antlr
Optional antlr tasks for %{name17}.

%description antlr -l fr
Taches antlr optionelles pour %{name17}.

%package apache-bsf
Summary:        Optional apache bsf tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       bsf
BuildRequires:  bsf
Provides:       %{name17}-apache-bsf = %{epoch}:%{version}-%{release}
Provides:       %{name16}-apache-bsf = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description apache-bsf
Optional apache bsf tasks for %{name17}.

%description apache-bsf -l fr
Taches apache bsf optionelles pour %{name17}.

%package apache-resolver
Summary:        Optional apache resolver tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       xml-commons-resolver
BuildRequires:  xml-commons-resolver
Provides:       %{name17}-apache-resolver = %{epoch}:%{version}-%{release}
Provides:       %{name16}-apache-resolver = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description apache-resolver
Optional apache resolver tasks for %{name17}.

%description apache-resolver -l fr
Taches apache resolver optionelles pour %{name17}.

%package commons-logging
Summary:        Optional commons logging tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-logging
BuildRequires:  jakarta-commons-logging
Provides:       %{name17}-commons-logging = %{epoch}:%{version}-%{release}
Provides:       %{name16}-commons-logging = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description commons-logging
Optional commons logging tasks for %{name17}.

%description commons-logging -l fr
Taches commons logging optionelles pour %{name17}.

# Disable because we don't ship the dependencies
%if 0
%package commons-net
Summary:        Optional commons net tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-net
BuildRequires:  jakarta-commons-net
Provides:       %{name17}-commons-net = %{epoch}:%{version}-%{release}
Provides:       %{name16}-commons-net = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description commons-net
Optional commons net tasks for %{name17}.

%description commons-net -l fr
Taches commons net optionelles pour %{name17}.

%package jai
Summary:        Optional jai tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       jai
BuildRequires:  jai
Provides:       %{name17}-jai = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jai = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description jai
Optional jai tasks for %{name17}.

%description jai -l fr
Taches jai optionelles pour %{name17}.
%endif

%package apache-bcel
Summary:        Optional apache bcel tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       bcel
BuildRequires:  bcel
Provides:       %{name17}-apache-bcel = %{epoch}:%{version}-%{release}
Provides:       %{name17}-jakarta-bcel = %{epoch}:%{version}-%{release}
Provides:       %{name16}-apache-bcel = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jakarta-bcel = %{epoch}:%{version}-%{release}
Obsoletes:	%{name16}-jakarta-bcel
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description apache-bcel
Optional apache bcel tasks for %{name17}.

%description apache-bcel -l fr
Taches apache bcel optionelles pour %{name17}.

%package apache-log4j
Summary:        Optional apache log4j tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       log4j
BuildRequires:  log4j
Provides:       %{name17}-apache-log4j = %{epoch}:%{version}-%{release}
Provides:       %{name17}-jakarta-log4j = %{epoch}:%{version}-%{release}
Provides:       %{name16}-apache-log4j = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jakarta-log4j = %{epoch}:%{version}-%{release}
Obsoletes:	%{name16}-jakarta-log4j
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description apache-log4j
Optional apache log4j tasks for %{name17}.

%description apache-log4j -l fr
Taches apache log4j optionelles pour %{name17}.

%package apache-oro
Summary:        Optional apache oro tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       oro
BuildRequires:  oro
Provides:       %{name17}-apache-oro = %{epoch}:%{version}-%{release}
Provides:       %{name17}-jakarta-oro = %{epoch}:%{version}-%{release}
Provides:       %{name16}-apache-oro = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jakarta-oro = %{epoch}:%{version}-%{release}
Obsoletes:	%{name16}-jakarta-oro
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description apache-oro
Optional apache oro tasks for %{name17}.

%description apache-oro -l fr
Taches apache oro optionelles pour %{name17}.

%package apache-regexp
Summary:        Optional apache regexp tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       regexp
BuildRequires:  regexp
Provides:       %{name17}-apache-regexp = %{epoch}:%{version}-%{release}
Provides:       %{name17}-jakarta-regexp = %{epoch}:%{version}-%{release}
Provides:       %{name16}-apache-regexp = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jakarta-regexp = %{epoch}:%{version}-%{release}
Obsoletes:	%{name16}-jakarta-regexp
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description apache-regexp
Optional apache regexp tasks for %{name17}.

%description apache-regexp -l fr
Taches apache regexp optionelles pour %{name17}.

%package javamail
Summary:        Optional javamail tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       javamail >= 0:1.2-5jpp
Requires:       jaf >= 0:1.0.1-5jpp
BuildRequires:  javamail >= 0:1.2-5jpp
BuildRequires:  jaf >= 0:1.0.1-5jpp
Provides:       %{name17}-javamail = %{epoch}:%{version}-%{release}
Provides:       %{name16}-javamail = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description javamail
Optional javamail tasks for %{name17}.

%description javamail -l fr
Taches javamail optionelles pour %{name17}.

%package jdepend
Summary:        Optional jdepend tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       jdepend
BuildRequires:  jdepend
Provides:       %{name17}-jdepend = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jdepend = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description jdepend
Optional jdepend tasks for %{name17}.

%description jdepend -l fr
Taches jdepend optionelles pour %{name17}.

%package jmf
Summary:        Optional jmf tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Provides:       %{name17}-jmf = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jmf = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description jmf
Optional jmf tasks for %{name17}.

%description jmf -l fr
Taches jmf optionelles pour %{name17}.

%package jsch
Summary:        Optional jsch tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       jsch
BuildRequires:  jsch
Provides:       %{name17}-jsch = %{epoch}:%{version}-%{release}
Provides:       %{name16}-jsch = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description jsch
Optional jsch tasks for %{name17}.

%description jsch -l fr
Taches jsch optionelles pour %{name17}.

%package junit
Summary:        Optional junit tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       junit
BuildRequires:  junit
Provides:       %{name17}-junit = %{epoch}:%{version}-%{release}
Provides:       %{name16}-junit = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description junit
Optional junit tasks for %{name17}.

%description junit -l fr
Taches junit optionelles pour %{name17}.

%package nodeps
Summary:        Optional tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Provides:       %{name17}-nodeps = %{epoch}:%{version}-%{release}
Provides:       %{name16}-nodeps = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description nodeps
Optional tasks for %{name17}.

%description nodeps -l fr
Taches optionelles pour %{name17}.

%package swing
Summary:        Optional swing tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Provides:       %{name17}-swing = %{epoch}:%{version}-%{release}
Provides:       %{name16}-swing = %{epoch}:%{version}-%{release}
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description swing
Optional swing tasks for %{name17}.

%description swing -l fr
Taches swing optionelles pour %{name17}.

%package trax
Summary:        Optional trax tasks for %{name17}
Group:          Development/Build Tools
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       jaxp_transform_impl
Provides:       %{name17}-trax = %{epoch}:%{version}-%{release}
Provides:       %{name16}-trax = %{epoch}:%{version}-%{release}
Obsoletes:	%{name16}-xalan2
Conflicts:      %{name_legacy}-optional-clean, %{name_legacy}-optional-full

%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
Requires(post):		java-gcj-compat
Requires(postun):	java-gcj-compat
%endif

%description trax
Optional trax tasks for %{name17}.

%description trax -l fr
Taches trax optionelles pour %{name17}.

%package scripts
Summary:        Additional scripts for %{name17}
Group:          Development/Build Tools
AutoReqProv:    no
Requires:       %{name17} = %{epoch}:%{version}-%{release}
Requires:       /usr/bin/perl
Requires:       /usr/bin/python

%description scripts
Additional Perl and Python scripts for %{name17}.

%description scripts -l fr
Scripts additionels pour %{name17}.

%package manual
Summary:        Manual for %{name17}
Group:          Development/Build Tools

%description manual
Documentation for %{name17}.

%description manual -l it
Documentazione di %{name17}.

%description manual -l fr
Documentation pour %{name17}.

%package javadoc
Summary:        Javadoc for %{name17}
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description javadoc
Javadoc for %{name17}.

%description javadoc -l fr
Javadoc pour %{name17}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n apache-%{name16}-%{version}

%if %{built_legacy_mfonly}
%patch7 -p1
%endif


# #157750: make the javah task work with java-gcj-compat
%patch2 -p1

# Fix some places where copies of classes are included in the wrong jarfiles
%patch4 -p1 -b .orig


# clean jar files
find . -name "*.jar" -exec rm -f {} \;

# -----------------------------------------------------------------------------

%build
# classpath selects optional components to build
export CLASSPATH=$(%{_bindir}/build-classpath jaxp_parser_impl xml-commons-apis antlr bcel jaf javamail/mailapi jdepend junit log4j oro regexp commons-logging jsch bsf xml-commons-resolver)

# perform bootstrap and build without jjp or user configs,
# (except JAVA_HOME as required by build script)
[ -n "$JAVA_HOME" ] && unset JAVA_HOME
[ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME
export GCJ_PROPERTIES="gnu.gcj.precompiled.db.path=/tmp"
sh build.sh --noconfig jars javadocs
unset GCJ_PROPERTIES

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc}

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name16}.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}-%{version}.jar
cp -p build/lib/%{name16}-launcher.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}-launcher-%{version}.jar

# optional jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name16}
cp -p build/lib/%{name16}-antlr.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-antlr-%{version}.jar
cp -p build/lib/%{name16}-apache-bsf.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-apache-bsf-%{version}.jar
cp -p build/lib/%{name16}-apache-resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-apache-resolver-%{version}.jar
cp -p build/lib/%{name16}-commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-commons-logging-%{version}.jar
#cp -p build/lib/%{name16}-commons-net.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-commons-net-%{version}.jar
#cp -p build/lib/%{name16}-jai.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jai-%{version}.jar
cp -p build/lib/%{name16}-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-apache-bcel-%{version}.jar
cp -p build/lib/%{name16}-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-apache-log4j-%{version}.jar
cp -p build/lib/%{name16}-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-apache-oro-%{version}.jar
cp -p build/lib/%{name16}-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-apache-regexp-%{version}.jar
ln -sf %{name16}-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jakarta-bcel.jar
ln -sf %{name16}-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jakarta-log4j.jar
ln -sf %{name16}-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jakarta-oro.jar
ln -sf %{name16}-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jakarta-regexp.jar
cp -p build/lib/%{name16}-javamail.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-javamail-%{version}.jar
cp -p build/lib/%{name16}-jdepend.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jdepend-%{version}.jar
cp -p build/lib/%{name16}-jmf.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jmf-%{version}.jar
cp -p build/lib/%{name16}-jsch.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-jsch-%{version}.jar
cp -p build/lib/%{name16}-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-junit-%{version}.jar
cp -p build/lib/%{name16}-nodeps.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-nodeps-%{version}.jar
cp -p build/lib/%{name16}-swing.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-swing-%{version}.jar
cp -p build/lib/%{name16}-trax.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-trax-%{version}.jar
%if %{built_legacy_mfonly}
cp -p build/lib/%{name16}-starteam.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-starteam-%{version}.jar
cp -p build/lib/%{name16}-stylebook.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-stylebook-%{version}.jar
cp -p build/lib/%{name16}-weblogic.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-weblogic-%{version}.jar
cp -p build/lib/%{name16}-netrexx.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-netrexx-%{version}.jar
cp -p build/lib/%{name16}-icontract.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-icontract-%{version}.jar
cp -p build/lib/%{name16}-vaj.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-vaj-%{version}.jar
cp -p build/lib/%{name16}-xalan1.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-xalan1-%{version}.jar
cp -p build/lib/%{name16}-xslp.jar $RPM_BUILD_ROOT%{_javadir}/%{name16}/%{name16}-xslp-%{version}.jar
%endif

# jar aliases
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name16} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd

# XSLs
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc

# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/script/* $RPM_BUILD_ROOT%{_bindir}

# default ant.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.conf

# OPT_JAR_LIST fragments
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d
echo "antlr %{name16}/%{name16}-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/antlr
echo "bsf %{name16}/%{name16}-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/apache-bsf
echo "xml-commons-resolver %{name16}/%{name16}-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/apache-resolver
echo "jakarta-commons-logging %{name16}/%{name16}-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/commons-logging
#echo "jakarta-commons-net %{name16}/%{name16}-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/commons-net
#echo "jai %{name16}/%{name16}-jai" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/jai
echo "bcel %{name16}/%{name16}-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/apache-bcel
echo "log4j %{name16}/%{name16}-apache-log4j" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/apache-log4j
echo "oro %{name16}/%{name16}-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/apache-oro
echo "regexp %{name16}/%{name16}-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/apache-regexp
echo "javamail jaf %{name16}/%{name16}-javamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/javamail
echo "jdepend %{name16}/%{name16}-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/jdepend
echo "%{name16}/%{name16}-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/jmf
echo "jsch %{name16}/%{name16}-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/jsch
echo "junit %{name16}/%{name16}-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/junit
echo "%{name16}/%{name16}-nodeps" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/nodeps
echo "%{name16}/%{name16}-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/swing
echo "jaxp_transform_impl %{name16}/%{name16}-trax" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name16}.d/trax

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name16}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name16}-%{version}

# fix link between manual and javadoc
(cd docs/manual; ln -sf %{_javadocdir}/%{name16}-%{version} api)

# -----------------------------------------------------------------------------

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name16}
ln -s %{name16}-%{version} %{_javadocdir}/%{name16}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name16}
fi

# -----------------------------------------------------------------------------

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

# We do not ship dependencies for these, so they are disabled.
%if 0
%if %{gcj_support}
%post commons-net
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun commons-net
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jai
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jai
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%endif

%if %{gcj_support}
%post antlr
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun antlr
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-bcel
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-bcel
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jmf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jmf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post trax
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun trax
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-log4j
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-log4j
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post swing
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun swing
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post nodeps
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun nodeps
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-regexp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-regexp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-resolver
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-resolver
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post junit
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun junit
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-oro
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-oro
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post javamail
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun javamail
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post commons-logging
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun commons-logging
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jdepend
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jdepend
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jsch
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jsch
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-bsf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-bsf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE README WHATSNEW
%config %{_sysconfdir}/%{name16}.conf
%attr(0755,root,root) %{_bindir}/%{name16}
%attr(0755,root,root) %{_bindir}/%{name16}Run
%{_javadir}/%{name16}.jar
%{_javadir}/%{name16}-launcher.jar
%{_javadir}/%{name16}-%{version}.jar
%{_javadir}/%{name16}-launcher-%{version}.jar
%dir %{_javadir}/%{name16}
%dir %{ant_home}
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl
%{ant_home}/etc/common2master.xsl
%dir %{ant_home}/lib
%dir %{_sysconfdir}/%{name16}.d

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-launcher-%{version}.jar.*
%endif

%files manifest-only
%defattr(0644,root,root,0755)
%if %{built_legacy_mfonly}
%{_javadir}/%{name16}/%{name16}-starteam-%{version}.jar
%{_javadir}/%{name16}/%{name16}-starteam.jar
%{_javadir}/%{name16}/%{name16}-stylebook-%{version}.jar
%{_javadir}/%{name16}/%{name16}-stylebook.jar
%{_javadir}/%{name16}/%{name16}-weblogic-%{version}.jar
%{_javadir}/%{name16}/%{name16}-weblogic.jar
%{_javadir}/%{name16}/%{name16}-icontract-%{version}.jar
%{_javadir}/%{name16}/%{name16}-icontract.jar
%{_javadir}/%{name16}/%{name16}-netrexx-%{version}.jar
%{_javadir}/%{name16}/%{name16}-netrexx.jar
%{_javadir}/%{name16}/%{name16}-vaj-%{version}.jar
%{_javadir}/%{name16}/%{name16}-vaj.jar
%{_javadir}/%{name16}/%{name16}-xalan1-%{version}.jar
%{_javadir}/%{name16}/%{name16}-xalan1.jar
%{_javadir}/%{name16}/%{name16}-xslp-%{version}.jar
%{_javadir}/%{name16}/%{name16}-xslp.jar
%endif

%files antlr
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-antlr.jar
%{_javadir}/%{name16}/%{name16}-antlr-%{version}.jar
%{_sysconfdir}/%{name16}.d/antlr

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-antlr-%{version}.jar.*
%endif

%files apache-bsf
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-apache-bsf.jar
%{_javadir}/%{name16}/%{name16}-apache-bsf-%{version}.jar
%{_sysconfdir}/%{name16}.d/apache-bsf

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-apache-bsf-%{version}.jar.*
%endif

%files apache-resolver
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-apache-resolver.jar
%{_javadir}/%{name16}/%{name16}-apache-resolver-%{version}.jar
%{_sysconfdir}/%{name16}.d/apache-resolver

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-apache-resolver-%{version}.jar.*
%endif

%files commons-logging
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-commons-logging.jar
%{_javadir}/%{name16}/%{name16}-commons-logging-%{version}.jar
%{_sysconfdir}/%{name16}.d/commons-logging

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-commons-logging-%{version}.jar.*
%endif

# Disable as we dont ship the dependencies
%if 0
%files commons-net
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-commons-net.jar
%{_javadir}/%{name16}/%{name16}-commons-net-%{version}.jar
%{_sysconfdir}/%{name16}.d/commons-net

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-commons-net-%{version}.jar.*
%endif

%files jai
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-jai.jar
%{_javadir}/%{name16}/%{name16}-jai-%{version}.jar
%{_sysconfdir}/%{name16}.d/jai

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-jai-%{version}.jar.*
%endif
%endif

%files apache-bcel
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-apache-bcel.jar
%{_javadir}/%{name16}/%{name16}-apache-bcel-%{version}.jar
%{_javadir}/%{name16}/%{name16}-jakarta-bcel.jar
%{_sysconfdir}/%{name16}.d/apache-bcel

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-apache-bcel-%{version}.jar.*
%endif

%files apache-log4j
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-apache-log4j.jar
%{_javadir}/%{name16}/%{name16}-apache-log4j-%{version}.jar
%{_javadir}/%{name16}/%{name16}-jakarta-log4j.jar
%{_sysconfdir}/%{name16}.d/apache-log4j

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-apache-log4j-%{version}.jar.*
%endif

%files apache-oro
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-apache-oro.jar
%{_javadir}/%{name16}/%{name16}-apache-oro-%{version}.jar
%{_javadir}/%{name16}/%{name16}-jakarta-oro.jar
%{_sysconfdir}/%{name16}.d/apache-oro
%{ant_home}/etc/maudit-frames.xsl

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-apache-oro-%{version}.jar.*
%endif

%files apache-regexp
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-apache-regexp.jar
%{_javadir}/%{name16}/%{name16}-apache-regexp-%{version}.jar
%{_javadir}/%{name16}/%{name16}-jakarta-regexp.jar
%{_sysconfdir}/%{name16}.d/apache-regexp

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-apache-regexp-%{version}.jar.*
%endif

%files javamail
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-javamail.jar
%{_javadir}/%{name16}/%{name16}-javamail-%{version}.jar
%{_sysconfdir}/%{name16}.d/javamail

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-javamail-%{version}.jar.*
%endif

%files jdepend
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-jdepend.jar
%{_javadir}/%{name16}/%{name16}-jdepend-%{version}.jar
%{_sysconfdir}/%{name16}.d/jdepend
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-jdepend-%{version}.jar.*
%endif

%files jmf
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-jmf.jar
%{_javadir}/%{name16}/%{name16}-jmf-%{version}.jar
%{_sysconfdir}/%{name16}.d/jmf

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-jmf-%{version}.jar.*
%endif

%files jsch
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-jsch.jar
%{_javadir}/%{name16}/%{name16}-jsch-%{version}.jar
%{_sysconfdir}/%{name16}.d/jsch

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-jsch-%{version}.jar.*
%endif

%files junit
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-junit.jar
%{_javadir}/%{name16}/%{name16}-junit-%{version}.jar
%{_sysconfdir}/%{name16}.d/junit
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-junit-%{version}.jar.*
%endif

%files nodeps
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-nodeps.jar
%{_javadir}/%{name16}/%{name16}-nodeps-%{version}.jar
%{_sysconfdir}/%{name16}.d/nodeps

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-nodeps-%{version}.jar.*
%endif

%files swing
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-swing.jar
%{_javadir}/%{name16}/%{name16}-swing-%{version}.jar
%{_sysconfdir}/%{name16}.d/swing

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-swing-%{version}.jar.*
%endif

%files trax
%defattr(0644,root,root,0755)
%{_javadir}/%{name16}/%{name16}-trax.jar
%{_javadir}/%{name16}/%{name16}-trax-%{version}.jar
%{_sysconfdir}/%{name16}.d/trax
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/coverage-frames.xsl

%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name17}
%attr(-,root,root) %{_libdir}/gcj/%{name17}/%{name16}-trax-%{version}.jar.*
%endif

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/*.pl
%{_bindir}/*.py*

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name16}-%{version}

# -----------------------------------------------------------------------------
%changelog
* Mon Jun 25 2012 Jiri Vanek <jvanek@redhat.com> 1.7.1-2jpp.0
- intproduced %{name16} and %{name17} variables to difference ant and ant17
- changed to ant17
- bump to ant 1.7.1
- removed upstreamed patch1 - apache-ant-1.6.5-rpm.patch
- removed upstreamed patch6 - apache-ant-1.6.5-jvm1.5-detect.patch
- added apache-ant-1.7.1.ant.conf (used instead of 1.6.5)
- added apache-ant-1.7.1-javah.patch (ised isntead of 1.6.2)
- jars in files have corect {version} in name
- added patch7 apache-ant-1.7.1-create-manifest-only.patch
- added built_legacy_mfonly switch to enable built of ant-6 compatibility
  manifest only jars
- Resolves:rhbz#803797
